Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 03-08-2010 11:56:22

Aragorn
Membre
Distrib. : Sid
Noyau : 2.6.32-5-amd64
(G)UI : Openbox
Inscription : 12-07-2010

[Résolu] Version de sun-java6-jre.

Bonjour à tous,
J'ai besoin d'installer un environnement java sur mon nouveau PC.
J'ai donc fait :

# aptitude install sun-java6-jre sun-java6-jdk sun-java6-plugin


La version dans Sid est, je crois, la plus récente http://packages.debian.org/fr/sid/sun-java6-jre
Pourquoi alors, si je teste la version installée à partir du site de Sun, il me répond que je ne possède pas la version la plus récente (6-21) ?
Merci.

Dernière modification par Aragorn (20-08-2010 22:42:21)

Hors ligne

#2 09-08-2010 23:53:08

Cyber-Gedeon
Membre
Lieu : Haut-Jura
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Fluxbox
Inscription : 15-07-2007

Re : [Résolu] Version de sun-java6-jre.

Bonsoir
Vu que ce message reste sans réponse je m'y colle bien que je ne soit pas un spécialiste de java.
Pour moi l'installation de l'environnement java a toujours été assez compliquée et j'ai déjà buté sur ce problème, Si mes souvenirs sont bons il faut faire une manip supplémentaire qui t'amène à choisir cet environnement et non pas le précédent qui est toujours choisi par défaut par le système.

Regarde sur cette discussion

Dernière modification par Cyber-Gedeon (09-08-2010 23:54:29)

Hors ligne

#3 17-08-2010 00:37:57

Aragorn
Membre
Distrib. : Sid
Noyau : 2.6.32-5-amd64
(G)UI : Openbox
Inscription : 12-07-2010

Re : [Résolu] Version de sun-java6-jre.

Bonsoir,
Je pense avoir résolu le problème.
On télécharge le dernière version de java sur le site officiel.
On crée un répertoire java dans opt/, puis on décompresse l'archive dans ce répertoire.
On obtient le fichier : jre-6u21-linux-x64.bin
On attribue ensuite les droits, puis on installe :

# chmod a+x jre-6u21-linux-x64.bin
# ./jre-6u21-linux-x64.bin


On crée ensuite un lien :

# ln -sf /opt/java/jre1.6.0_21/lib/amd64/libnpjp2.so
 /usr/lib/mozilla/plugins/libnpjp2.so


Normalement, on vous demande de redémarrer votre navigateur, et vous disposez de la dernière version de java.

Dernière modification par Aragorn (17-08-2010 00:41:27)

Hors ligne

#4 19-08-2010 23:02:26

Cyber-Gedeon
Membre
Lieu : Haut-Jura
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Fluxbox
Inscription : 15-07-2007

Re : [Résolu] Version de sun-java6-jre.

Merci pour l'info, je la retiens pour la prochaine fois.
Cordialement

Hors ligne

#5 20-08-2010 19:25:26

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [Résolu] Version de sun-java6-jre.

Sauf si tu en as le besoin (le besoin, pas l'envie), il est déconseillé d'installer des logiciels hors dépôt (s'ils y sont déjà présents, même dans une version plus ancienne).

Car source de bugs, failles et incohérence du système. De façon générale, si c'est avoir la nouvelle version pour avoir la nouvelle version, c'est pas la peine...

Hors ligne

#6 20-08-2010 22:45:16

Aragorn
Membre
Distrib. : Sid
Noyau : 2.6.32-5-amd64
(G)UI : Openbox
Inscription : 12-07-2010

Re : [Résolu] Version de sun-java6-jre.

Bonsoir,

Sauf si tu en as le besoin (le besoin, pas l'envie), il est déconseillé d'installer des logiciels hors dépôt (s'ils y sont déjà présents, même dans une version plus ancienne).


D'accord avec toi, mais il y avait une réel raison d'utiliser la dernière version de Java (logiciel GeoGebra), qui soit dit en passant, se trouve maintenant dans les dépôts de Sid.
@+

Dernière modification par Aragorn (20-08-2010 22:46:27)

Hors ligne

#7 20-08-2010 23:02:37

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [Résolu] Version de sun-java6-jre.

oki oki wink
Je ne tenais pas forcément à ce que tu te justifies. Le forum est plutôt bien référencé sous Google, ce genre de réflexions sont aussi là pour mettre en garde le lecteur de comportement non souhaitables.

Ceci dit, je suis bien content que tu te justifies finalement... GeoGebra semble très sympa !

EDIT: ça pourrait ne pas être mal de faire un peu de pinning... Sun Java n'est pas une dépendance de GeoGebra. Après, tu fais comme tu veux et la version de Sun fonctionnera parfaitement bien sûr. C'est juste que suite à la chasse aux démons de l'an de grâce 2009 que j'ai effectué sur mon ordinateur, j'avais dégagé avahi qui m'est totalement inutile et Sun Java me l'installe (il en est donc dépendant, désactiver le démon à postériori n'est donc pas une bonne idée). Enfin bref, un EDIT qui ne sert à rien quoi puisque ça marche big_smile

Dernière modification par Asmodée (20-08-2010 23:10:52)

Hors ligne

#8 21-08-2010 09:32:28

Cyber-Gedeon
Membre
Lieu : Haut-Jura
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Fluxbox
Inscription : 15-07-2007

Re : [Résolu] Version de sun-java6-jre.

Bonjour
Mon expérience personnelle m'a montré que  dans 99 % des cas les versions proposées dans les dépôts conviennent, mais il arrive qu'on ait absolument besoin de la dernière version de Sun pour faire tourner une application précise, et là ça devient compliqué car on a toujours des surprises.

Hors ligne

Pied de page des forums